diff -uNr /usr/ports/games/openarena/Makefile openarena/Makefile
--- /usr/ports/games/openarena/Makefile	2010-06-07 03:17:16.000000000 +0200
+++ openarena/Makefile	2010-06-16 18:13:39.000000000 +0200
@@ -2,21 +2,19 @@
 # Date created:				2007-08-01
 # Whom:					Josh Tolbert <hemi@puresimplicity.net>
 #
-# $FreeBSD: ports/games/openarena/Makefile,v 1.9 2010/06/06 20:43:48 naddy Exp $
+# $FreeBSD: ports/games/openarena/Makefile,v 1.8 2010/01/25 19:15:12 pav Exp $
 #
 
 PORTNAME=	openarena
-PORTVERSION=	0.7.1
-PORTREVISION=	6
+PORTVERSION=	0.8.5
 CATEGORIES=	games
-MASTER_SITES=	http://openarena.ws/rel/070/:src \
-		http://download.tuxfamily.net/cooker/openarena/rel070/:data \
-		ftp://ftp.alepulver.com.ar/distfiles/:patch
-DISTNAME=	ioq3-src-oa
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src \
+MASTER_SITES=	http://download.tuxfamily.org/openarena/rel/081/source/:oa_src \
+		http://download.tuxfamily.org/openarena/rel/081/:data \
+		http://download.tuxfamily.org/openarena/rel/085/:patch
+DISTFILES=	${OA_ENGINE}:oa_src \
 		${OA_DATA}:data \
 		${OA_PATCH}:patch
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+EXTRACT_ONLY=	${OA_ENGINE}
 
 MAINTAINER=	hemi@puresimplicity.net
 COMMENT=	GPL-licensed total conversion of Quake 3
@@ -26,25 +24,26 @@
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
-NO_WRKSUBDIR=	yes
+MAKE_JOBS_SAFE=	yes
+ONLY_FOR_ARCHS=	i386 amd64 powerpc
 
 OPTIONS=	CLIENT "Build client" on \
 		DEDICATED "Build dedicated server" on \
 		OPENAL "Enable OpenAL (3D sound) support" off \
 		OPENAL_DLOPEN "Enable dynamic loading of OpenAL" off \
 		OPTIMIZED_CFLAGS "Enable compilation optimizations" on \
-		SDL_AUDIO "Use SDL for audio" off \
-		SDL_VIDEO "Use SDL for video" off \
 		SMP "Build SMP (threaded) client" on \
 
 MAKE_ENV=	DEFAULT_BASEDIR="${DATADIR}" LIBDIR="${LIBDIR}" \
-		PTHREAD_LIBS="${PTHREAD_LIBS}" USE_CODEC_VORBIS=1
+		PTHREAD_LIBS="${PTHREAD_LIBS}" USE_CODEC_VORBIS=1 \
+		BUILD_GAME_QVM=0 BUILD_STANDALONE=1 BUILD_GAME_SO=0 \
+		HAVE_VM_COMPILED=true
 PLIST_SUB=	LIBDIR="${LIBDIR:S/${PREFIX}\///}"
 
 LIBDIR=		${PREFIX}/lib/${PORTNAME}
-VM_ARCHS=	amd64 i386 powerpc
-OA_DATA=	oa070.zip
-OA_PATCH=	oa071-patch.zip
+OA_ENGINE=	openarena-engine-0.8.1-1.tar.bz2
+OA_DATA=	oa081.zip
+OA_PATCH=	oa085p.zip
 
 .include <bsd.port.pre.mk>
 
@@ -53,16 +52,6 @@
 IGNORE=		needs at least one of CLIENT, DEDICATED and SMP options
 .endif
 
-.for i in ${ARCH}
-.   if ${VM_ARCHS:M${i}} != ""
-HAVE_VM_COMPILED=	yes
-.   endif
-.endfor
-
-.if defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	HAVE_VM_COMPILED=true
-.endif
-
 .if !defined(WITHOUT_CLIENT) || !defined(WITHOUT_SMP)
 # OpenAL
 .   if defined(WITH_OPENAL)
@@ -72,24 +61,13 @@
 MAKE_ENV+=	USE_OPENAL_DLOPEN=1
 .       endif
 .   endif
-# SDL
-.   if defined(WITH_SDL_AUDIO)
-USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_AUDIO=1
-.   endif
-.   if defined(WITH_SDL_VIDEO)
 USE_SDL=	sdl
-MAKE_ENV+=	USE_SDL_VIDEO=1
-.   else
-USE_GL=		yes
-USE_XORG=	x11 xxf86dga
-.   endif
 .endif
 
 .if !defined(WITHOUT_CLIENT)
 MAKE_ENV+=	BUILD_CLIENT=1
 PLIST_SUB+=	CLIENT=""
-OABIN+=		ioquake3
+OABIN+=		openarena
 .else
 PLIST_SUB+=	CLIENT="@comment "
 .endif
@@ -97,18 +75,11 @@
 .if !defined(WITHOUT_DEDICATED)
 MAKE_ENV+=	BUILD_SERVER=1
 PLIST_SUB+=	DEDICATED=""
-OABIN+=		ioq3ded
+OABIN+=		oa_ded
 .else
 PLIST_SUB+=	DEDICATED="@comment "
 .endif
 
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-MAKE_ENV+=	BUILD_GAME_SO=1
-PLIST_SUB+=	GAMELIBS=""
-.else
-PLIST_SUB+=	GAMELIBS="@comment "
-.endif
-
 .if !defined(WITHOUT_OPTIMIZED_CFLAGS)
 MAKE_ENV+=	USE_OPTIMIZED_CFLAGS=1
 .endif
@@ -116,7 +87,7 @@
 .if !defined(WITHOUT_SMP)
 MAKE_ENV+=	BUILD_CLIENT_SMP=1
 PLIST_SUB+=	SMP=""
-OABIN+=		ioquake3-smp
+OABIN+=		openarena-smp
 .else
 PLIST_SUB+=	SMP="@comment "
 .endif
@@ -126,23 +97,20 @@
 .endif
 
 post-extract:
+	${MV} ${WRKDIR}/openarena-engine-0.8.1/ ${WRKDIR}/openarena-0.8.1/
 .for f in ${OA_DATA} ${OA_PATCH}
 	@${UNZIP_CMD} -qo ${DISTDIR}/${f} -d ${WRKDIR}
 .endfor
+	${MV} ${WRKDIR}/openarena-0.8.1 ${WRKDIR}/openarena-${PORTVERSION}
+	${RM} ${WRKSRC}/Makefile.local
 
 do-install:
 .for bin in ${OABIN}
 	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${bin} \
-		${PREFIX}/bin/${bin:C/(ioquake3|ioq3)/${PORTNAME}/}
-.endfor
-.if defined(WITH_GAMELIBS) || !defined(HAVE_VM_COMPILED)
-.for dir in baseq3 missionpack
-	${MKDIR} ${LIBDIR}/${dir}
-	${INSTALL_PROGRAM} ${WRKSRC}/build/release/${dir}/*.so ${LIBDIR}/${dir}
+		${PREFIX}/bin/${bin}
 .endfor
-.endif
 	${MKDIR} ${DATADIR}
-	${CP} -R ${WRKDIR}/${PORTNAME}-0.7.0/baseoa ${DATADIR}
+	${CP} -R ${WRKSRC}/baseoa ${DATADIR}
 
 post-install:
 	@${ECHO_CMD}
diff -uNr /usr/ports/games/openarena/distinfo openarena/distinfo
--- /usr/ports/games/openarena/distinfo	2007-09-06 05:50:23.000000000 +0200
+++ openarena/distinfo	2010-06-16 18:08:59.000000000 +0200
@@ -1,9 +1,12 @@
-MD5 (ioq3-src-oa.tar.bz2) = a43cd6044de919dd2af94fb4159ddb47
-SHA256 (ioq3-src-oa.tar.bz2) = b51a890a525e9a7c49fe9fe3808ec6bba0738014d008078bbd28244934d145b9
-SIZE (ioq3-src-oa.tar.bz2) = 3539582
-MD5 (oa070.zip) = 739548bfc5dc1d129d20c0f67d54df48
-SHA256 (oa070.zip) = f420978abedd701744de06bdba3a7c3624175aafb891101f77887581ce8576a1
-SIZE (oa070.zip) = 263123081
-MD5 (oa071-patch.zip) = 5fa31998009f8241ad3ded93eb81e701
-SHA256 (oa071-patch.zip) = 7f6162b04cf624fea73083430b7a5c7a15826fe3ce536c2280448f403fd3561a
-SIZE (oa071-patch.zip) = 12287230
+MD5 (openarena-modSDK-0.8.1.tar.bz2) = d6ade0364db438a7601419b5d2d62f75
+SHA256 (openarena-modSDK-0.8.1.tar.bz2) = ca2556f0714d142d90a9acdffe1489187479ab1cc5fcb866c3fe6cae9634e904
+SIZE (openarena-modSDK-0.8.1.tar.bz2) = 2249024
+MD5 (openarena-engine-0.8.1-1.tar.bz2) = 4ee696eacc4b0350f9dbb5588dcd74a2
+SHA256 (openarena-engine-0.8.1-1.tar.bz2) = 430ba9b691c8085b946e004f0cc890995c7f8295498bd8c8ce744293a87274d2
+SIZE (openarena-engine-0.8.1-1.tar.bz2) = 2951703
+MD5 (oa081.zip) = 49006bcb02b4e8ea3d06749e8f4e4887
+SHA256 (oa081.zip) = c96282de8bc2ac5781df58c6adbce4265376e36190af50d7528f51dc739b6d7d
+SIZE (oa081.zip) = 318927645
+MD5 (oa085p.zip) = b2a0437da751cd50dd2351ed9e0c4e9d
+SHA256 (oa085p.zip) = d360c4b095bc3b34d03d9a366b21c12052c3f9e9c57e86b17c8b2c038baa4719
+SIZE (oa085p.zip) = 42528474
diff -uNr /usr/ports/games/openarena/files/patch-Makefile openarena/files/patch-Makefile
--- /usr/ports/games/openarena/files/patch-Makefile	2008-05-18 11:40:26.000000000 +0200
+++ openarena/files/patch-Makefile	2010-06-16 16:42:43.000000000 +0200
@@ -1,62 +1,18 @@
---- Makefile.orig	Sat Jul  7 02:50:34 2007
-+++ Makefile	Sun Jul 29 04:30:00 2007
-@@ -26,11 +26,19 @@
-   endif
- endif
- 
--BUILD_CLIENT     =
--BUILD_CLIENT_SMP =
--BUILD_SERVER     =
--BUILD_GAME_SO    =
--BUILD_GAME_QVM   =
-+BUILD_CLIENT?=0
-+BUILD_CLIENT_SMP?=0
-+BUILD_GAME_QVM?=0
-+BUILD_GAME_SO?=0
-+BUILD_SERVER?=0
-+HAVE_VM_COMPILED?=false
-+USE_CODEC_VORBIS?=0
-+USE_LOCAL_HEADERS?=0
-+USE_OPENAL?=0
-+USE_OPENAL_DLOPEN?=0
-+USE_OPTIMIZED_CFLAGS?=0
-+USE_SDL_AUDIO?=0
-+USE_SDL_VIDEO?=0
- 
- #############################################################################
- #
-@@ -88,18 +96,6 @@
- endif
- export USE_CCACHE
- 
--ifndef USE_SDL
--USE_SDL=1
--endif
--
--ifndef USE_OPENAL
--USE_OPENAL=1
--endif
--
--ifndef USE_OPENAL_DLOPEN
--USE_OPENAL_DLOPEN=0
--endif
--
- ifndef USE_CURL
- USE_CURL=1
- endif
-@@ -112,18 +108,10 @@
-   endif
+--- Makefile.orig	2008-08-09 22:22:37.000000000 +0200
++++ Makefile	2010-06-16 16:35:30.000000000 +0200
+@@ -42,10 +42,6 @@
+   BUILD_GAME_QVM   =
  endif
  
--ifndef USE_CODEC_VORBIS
--USE_CODEC_VORBIS=1
--endif
--
--ifndef USE_LOCAL_HEADERS
--USE_LOCAL_HEADERS=1
+-ifneq ($(PLATFORM),darwin)
+-  BUILD_CLIENT_SMP = 0
 -endif
 -
  #############################################################################
+ #
+ # If you require a different configuration from the defaults below, create a
+@@ -144,7 +140,7 @@
+ #############################################################################
  
  BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
 -BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
@@ -64,79 +20,54 @@
  CDIR=$(MOUNT_DIR)/client
  SDIR=$(MOUNT_DIR)/server
  RDIR=$(MOUNT_DIR)/renderer
-@@ -498,18 +486,12 @@
- 
- ifeq ($(PLATFORM),freebsd)
+@@ -517,12 +513,10 @@
  
--  ifneq (,$(findstring alpha,$(shell uname -m)))
--    ARCH=axp
+   ifneq (,$(findstring alpha,$(shell uname -m)))
+     ARCH=axp
 -  else #default to i386
 -    ARCH=i386
--  endif #alpha test
--
-+  BASE_CFLAGS = -DARCH='\"$(ARCH)\"' -DLIBDIR='\"$(LIBDIR)\"' -I$(LOCALBASE)/include -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
+   endif #alpha test
  
--  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
--
--  GL_CFLAGS = -I/usr/X11R6/include
-+  GL_CFLAGS = -I$(LOCALBASE)/include
  
-   DEBUG_CFLAGS=$(BASE_CFLAGS) -g
-+  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -pipe
+-  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
++  BASE_CFLAGS = -DLIBDIR='\"$(LIBDIR)\"' -I$(LOCALBASE)/include -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
+     -DUSE_ICON $(shell sdl-config --cflags)
  
    ifeq ($(USE_OPENAL),1)
-     BASE_CFLAGS += -DUSE_OPENAL=1
-@@ -522,47 +504,61 @@
-     BASE_CFLAGS += -DUSE_CODEC_VORBIS=1
-   endif
- 
--  ifeq ($(USE_SDL),1)
--    BASE_CFLAGS += $(shell sdl-config --cflags) -DUSE_SDL_VIDEO=1 -DUSE_SDL_SOUND=1
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+  else
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
-+    endif
+@@ -536,20 +530,20 @@
+     BASE_CFLAGS += -DUSE_CODEC_VORBIS
    endif
  
 -  ifeq ($(ARCH),axp)
--    CC=gcc
 -    BASE_CFLAGS += -DNO_VM_COMPILED
 -    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -ffast-math -funroll-loops \
 -      -fomit-frame-pointer -fexpensive-optimizations
 -  else
 -  ifeq ($(ARCH),i386)
--    CC=gcc
 -    RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -O3 -mtune=pentiumpro \
 -      -march=pentium -fomit-frame-pointer -pipe -ffast-math \
 -      -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
 -      -funroll-loops -fstrength-reduce
 -    HAVE_VM_COMPILED=true
 -  else
--    BASE_CFLAGS += -DNO_VM_COMPILED
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    BASE_CFLAGS += -DUSE_SDL_SOUND=1
-   endif
++  BASE_CFLAGS += $(shell $(SDL_CONFIG) --cflags)
 +
-+  ifeq ($(USE_SDL_VIDEO),1)
-+    BASE_CFLAGS += -DUSE_SDL_VIDEO=1
-+  endif
++  ifneq ($(HAVE_VM_COMPILED),true)
+     BASE_CFLAGS += -DNO_VM_COMPILED
+   endif
 +
++  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG -pipe
 +  ifeq ($(USE_OPTIMIZED_CFLAGS),1)
-+    RELEASE_CFLAGS+=-O3 -ffast-math -funroll-loops -fomit-frame-pointer \
++    RELEASE_CFLAGS += -O3 -ffast-math -funroll-loops -fomit-frame-pointer \
 +       -fexpensive-optimizations
 +    ifeq ($(ARCH),i386)
-+      RELEASE_CFLAGS+=-falign-loops=2 -falign-jumps=2 -falign-functions=2 \
++      RELEASE_CFLAGS += -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
 +         -fstrength-reduce
 +    endif
-+  endif
-+
-+  ifneq ($(HAVE_VM_COMPILED),true)
-+    BASE_CFLAGS += -DNO_VM_COMPILED
    endif
  
-   SHLIBEXT=so
+   DEBUG_CFLAGS=$(BASE_CFLAGS) -g
+@@ -558,13 +552,11 @@
    SHLIBCFLAGS=-fPIC
    SHLIBLDFLAGS=-shared $(LDFLAGS)
  
@@ -146,192 +77,192 @@
    LDFLAGS=-lm
  
 -  CLIENT_LDFLAGS =
-+  CLIENT_LDFLAGS = -L$(LOCALBASE)/lib
- 
--  ifeq ($(USE_SDL),1)
--    CLIENT_LDFLAGS += $(shell sdl-config --libs)
-+  ifeq ($(USE_SDL_AUDIO),1)
-+    CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
-   else
--    CLIENT_LDFLAGS += -L/usr/X11R6/$(LIB) -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-+    ifeq ($(USE_SDL_VIDEO),1)
-+      CLIENT_LDFLAGS += $(shell $(SDL_CONFIG) --libs)
-+    endif
-+  endif
-+
-+  ifneq ($(USE_SDL_VIDEO),1)
-+    CLIENT_LDFLAGS += -L$(LOCALBASE)/lib -lGL -lX11 -lXext -lXxf86dga -lXxf86vm
-   endif
+-
+-  CLIENT_LDFLAGS += $(shell sdl-config --libs) -lGL
++  CLIENT_LDFLAGS = -L$(LOCALBASE)/lib $(shell $(SDL_CONFIG) --libs) -lGL
  
    ifeq ($(USE_OPENAL),1)
-+    CLIENT_LDFLAGS += $(THREAD_LDFLAGS)
      ifneq ($(USE_OPENAL_DLOPEN),1)
--      CLIENT_LDFLAGS += $(THREAD_LDFLAGS) -lopenal
-+      CLIENT_LDFLAGS += -lopenal
-     endif
-   endif
- 
-@@ -570,7 +566,6 @@
-     CLIENT_LDFLAGS += -lvorbisfile -lvorbis -logg
-   endif
- 
--
- else # ifeq freebsd
- 
- #############################################################################
-@@ -725,24 +720,25 @@
+@@ -781,24 +773,24 @@
  TARGETS =
  
  ifneq ($(BUILD_SERVER),0)
--  TARGETS += $(B)/ioq3ded.$(ARCH)$(BINEXT)
-+  TARGETS += $(B)/ioq3ded$(BINEXT)
+-  TARGETS += $(B)/oa_ded.$(ARCH)$(BINEXT)
++  TARGETS += $(B)/oa_ded$(BINEXT)
  endif
  
  ifneq ($(BUILD_CLIENT),0)
--  TARGETS += $(B)/ioquake3.$(ARCH)$(BINEXT)
--  ifneq ($(BUILD_CLIENT_SMP),0)
--    TARGETS += $(B)/ioquake3-smp.$(ARCH)$(BINEXT)
--  endif
-+  TARGETS += $(B)/ioquake3$(BINEXT)
-+endif
-+
-+ifneq ($(BUILD_CLIENT_SMP),0)
-+  TARGETS += $(B)/ioquake3-smp$(BINEXT)
+-  TARGETS += $(B)/openarena.$(ARCH)$(BINEXT)
++  TARGETS += $(B)/openarena$(BINEXT)
+   ifneq ($(BUILD_CLIENT_SMP),0)
+-    TARGETS += $(B)/openarena-smp.$(ARCH)$(BINEXT)
++    TARGETS += $(B)/openarena-smp$(BINEXT)
+   endif
  endif
  
  ifneq ($(BUILD_GAME_SO),0)
    TARGETS += \
--    $(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) \
--    $(B)/baseq3/ui$(ARCH).$(SHLIBEXT)     \
+-    $(B)/baseoa/cgame$(ARCH).$(SHLIBEXT) \
+-    $(B)/baseoa/qagame$(ARCH).$(SHLIBEXT) \
+-    $(B)/baseoa/ui$(ARCH).$(SHLIBEXT)     \
 -    $(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) \
 -    $(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) \
 -    $(B)/missionpack/ui$(ARCH).$(SHLIBEXT)
-+    $(B)/baseq3/cgame.$(SHLIBEXT) \
-+    $(B)/baseq3/qagame.$(SHLIBEXT) \
-+    $(B)/baseq3/ui.$(SHLIBEXT)     \
++    $(B)/baseoa/cgame.$(SHLIBEXT) \
++    $(B)/baseoa/qagame.$(SHLIBEXT) \
++    $(B)/baseoa/ui.$(SHLIBEXT)     \
 +    $(B)/missionpack/cgame.$(SHLIBEXT) \
 +    $(B)/missionpack/qagame.$(SHLIBEXT) \
 +    $(B)/missionpack/ui.$(SHLIBEXT)
  endif
  
  ifneq ($(BUILD_GAME_QVM),0)
-@@ -804,11 +800,11 @@
- 	$(MAKE)  targets B=$(BD) CFLAGS="$(CFLAGS) $(DEBUG_CFLAGS) $(DEPEND_CFLAGS)"
- 
- build_release: B=$(BR)
--build_release: makedirs tools
-+build_release: makedirs
- 	$(MAKE)  targets B=$(BR) CFLAGS="$(CFLAGS) $(RELEASE_CFLAGS) $(DEPEND_CFLAGS)"
- 
- #Build both debug and release builds
--all:build_debug build_release
-+all:build_release
- 
- targets: $(TARGETS)
+@@ -942,7 +934,7 @@
+ #############################################################################
  
-@@ -1022,13 +1018,10 @@
-   ifeq ($(ARCH),i386)
+ default: release
+-all: debug release
++all: release
+ 
+ debug:
+ 	@$(MAKE) targets B=$(BD) CFLAGS="$(CFLAGS) $(DEPEND_CFLAGS) \
+@@ -1422,7 +1414,7 @@
+   ifeq ($(ARCH),x86)
      Q3OBJ += $(B)/client/vm_x86.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3OBJ += $(B)/client/vm_x86.o
--  endif
 -  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3OBJ += $(B)/client/vm_x86_64.o
+     Q3OBJ += $(B)/client/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
    endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3OBJ += $(B)/client/$(VM_PPC).o
-   endif
- endif
-@@ -1075,10 +1068,10 @@
-     $(B)/client/sdl_glimp_smp.o
- endif
- 
--$(B)/ioquake3.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
-+$(B)/ioquake3$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ) $(CLIENT_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
--$(B)/ioquake3-smp.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
-+$(B)/ioquake3-smp$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
- 	$(CC)  -o $@ $(Q3OBJ) $(Q3POBJ_SMP) $(CLIENT_LDFLAGS) \
+   ifeq ($(ARCH),ppc)
+@@ -1450,12 +1442,12 @@
+ Q3POBJ_SMP += \
+   $(B)/clientsmp/sdl_glimp.o
+ 
+-$(B)/openarena.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
++$(B)/openarena$(BINEXT): $(Q3OBJ) $(Q3POBJ) $(LIBSDLMAIN)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) -o $@ $(Q3OBJ) $(Q3POBJ) $(CLIENT_LDFLAGS) \
+ 		$(LDFLAGS) $(LIBSDLMAIN)
+ 
+-$(B)/openarena-smp.$(ARCH)$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
++$(B)/openarena-smp$(BINEXT): $(Q3OBJ) $(Q3POBJ_SMP) $(LIBSDLMAIN)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) -o $@ $(Q3OBJ) $(Q3POBJ_SMP) $(CLIENT_LDFLAGS) \
  		$(THREAD_LDFLAGS) $(LDFLAGS) $(LIBSDLMAIN)
- 
-@@ -1378,18 +1371,15 @@
-   ifeq ($(ARCH),i386)
+@@ -1563,7 +1555,7 @@
+   ifeq ($(ARCH),x86)
      Q3DOBJ += $(B)/ded/vm_x86.o
    endif
--  ifeq ($(ARCH),x86)
--    Q3DOBJ += $(B)/ded/vm_x86.o
--  endif
 -  ifeq ($(ARCH),x86_64)
 +  ifeq ($(ARCH),amd64)
-     Q3DOBJ += $(B)/ded/vm_x86_64.o
-   endif
--  ifeq ($(ARCH),ppc)
-+  ifeq ($(ARCH),powerpc)
-     Q3DOBJ += $(B)/ded/$(VM_PPC).o
+     Q3DOBJ += $(B)/ded/vm_x86_64.o $(B)/client/vm_x86_64_assembler.o
    endif
+   ifeq ($(ARCH),ppc)
+@@ -1582,7 +1574,7 @@
+     $(B)/ded/con_tty.o
  endif
  
--$(B)/ioq3ded.$(ARCH)$(BINEXT): $(Q3DOBJ)
-+$(B)/ioq3ded$(BINEXT): $(Q3DOBJ)
- 	$(CC) -o $@ $(Q3DOBJ) $(LDFLAGS)
- 
- $(B)/ded/sv_bot.o : $(SDIR)/sv_bot.c; $(DO_DED_CC)
-@@ -1506,7 +1496,7 @@
- Q3CGOBJ = $(Q3CGOBJ_) $(B)/baseq3/cgame/cg_syscalls.o
- Q3CGVMOBJ = $(Q3CGOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/cgame$(ARCH).$(SHLIBEXT) : $(Q3CGOBJ)
-+$(B)/baseq3/cgame.$(SHLIBEXT) : $(Q3CGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3CGOBJ)
+-$(B)/oa_ded.$(ARCH)$(BINEXT): $(Q3DOBJ)
++$(B)/oa_ded$(BINEXT): $(Q3DOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) -o $@ $(Q3DOBJ) $(LDFLAGS)
+ 
+@@ -1622,7 +1614,7 @@
+ Q3CGOBJ = $(Q3CGOBJ_) $(B)/baseoa/cgame/cg_syscalls.o
+ Q3CGVMOBJ = $(Q3CGOBJ_:%.o=%.asm)
+ 
+-$(B)/baseoa/cgame$(ARCH).$(SHLIBEXT): $(Q3CGOBJ)
++$(B)/baseoa/cgame.$(SHLIBEXT): $(Q3CGOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3CGOBJ)
  
- $(B)/baseq3/vm/cgame.qvm: $(Q3CGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1547,7 +1537,7 @@
+@@ -1666,7 +1658,7 @@
  MPCGOBJ = $(MPCGOBJ_) $(B)/missionpack/cgame/cg_syscalls.o
- MPCGVMOBJ = $(MPCGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
+ MPCGVMOBJ = $(MPCGOBJ_:%.o=%.asm)
  
--$(B)/missionpack/cgame$(ARCH).$(SHLIBEXT) : $(MPCGOBJ)
-+$(B)/missionpack/cgame$(SHLIBEXT) : $(MPCGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPCGOBJ)
- 
- $(B)/missionpack/vm/cgame.qvm: $(MPCGVMOBJ) $(CGDIR)/cg_syscalls.asm
-@@ -1597,7 +1587,7 @@
- Q3GOBJ = $(Q3GOBJ_) $(B)/baseq3/game/g_syscalls.o
- Q3GVMOBJ = $(Q3GOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
- 
--$(B)/baseq3/qagame$(ARCH).$(SHLIBEXT) : $(Q3GOBJ)
-+$(B)/baseq3/qagame.$(SHLIBEXT) : $(Q3GOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3GOBJ)
+-$(B)/missionpack/cgame$(ARCH).$(SHLIBEXT): $(MPCGOBJ)
++$(B)/missionpack/cgame.$(SHLIBEXT): $(MPCGOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) $(SHLIBLDFLAGS) -o $@ $(MPCGOBJ)
+ 
+@@ -1719,7 +1711,7 @@
+ Q3GOBJ = $(Q3GOBJ_) $(B)/baseoa/game/g_syscalls.o
+ Q3GVMOBJ = $(Q3GOBJ_:%.o=%.asm)
+ 
+-$(B)/baseoa/qagame$(ARCH).$(SHLIBEXT): $(Q3GOBJ)
++$(B)/baseoa/qagame.$(SHLIBEXT): $(Q3GOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) $(SHLIBLDFLAGS) -o $@ $(Q3GOBJ)
  
- $(B)/baseq3/vm/qagame.qvm: $(Q3GVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1645,7 +1635,7 @@
+@@ -1770,7 +1762,7 @@
  MPGOBJ = $(MPGOBJ_) $(B)/missionpack/game/g_syscalls.o
- MPGVMOBJ = $(MPGOBJ_:%.o=%.asm) $(B)/missionpack/game/bg_lib.asm
+ MPGVMOBJ = $(MPGOBJ_:%.o=%.asm)
  
--$(B)/missionpack/qagame$(ARCH).$(SHLIBEXT) : $(MPGOBJ)
-+$(B)/missionpack/qagame.$(SHLIBEXT) : $(MPGOBJ)
- 	$(CC) $(SHLIBLDFLAGS) -o $@ $(MPGOBJ)
+-$(B)/missionpack/qagame$(ARCH).$(SHLIBEXT): $(MPGOBJ)
++$(B)/missionpack/qagame.$(SHLIBEXT): $(MPGOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) $(SHLIBLDFLAGS) -o $@ $(MPGOBJ)
  
- $(B)/missionpack/vm/qagame.qvm: $(MPGVMOBJ) $(GDIR)/g_syscalls.asm
-@@ -1705,7 +1695,7 @@
+@@ -1833,7 +1825,7 @@
  Q3UIOBJ = $(Q3UIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- Q3UIVMOBJ = $(Q3UIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
+ Q3UIVMOBJ = $(Q3UIOBJ_:%.o=%.asm)
  
--$(B)/baseq3/ui$(ARCH).$(SHLIBEXT) : $(Q3UIOBJ)
-+$(B)/baseq3/ui.$(SHLIBEXT) : $(Q3UIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(Q3UIOBJ)
+-$(B)/baseoa/ui$(ARCH).$(SHLIBEXT): $(Q3UIOBJ)
++$(B)/baseoa/ui.$(SHLIBEXT): $(Q3UIOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(Q3UIOBJ)
  
- $(B)/baseq3/vm/ui.qvm: $(Q3UIVMOBJ) $(UIDIR)/ui_syscalls.asm
-@@ -1730,7 +1720,7 @@
+@@ -1861,7 +1853,7 @@
  MPUIOBJ = $(MPUIOBJ_) $(B)/missionpack/ui/ui_syscalls.o
- MPUIVMOBJ = $(MPUIOBJ_:%.o=%.asm) $(B)/baseq3/game/bg_lib.asm
+ MPUIVMOBJ = $(MPUIOBJ_:%.o=%.asm)
+ 
+-$(B)/missionpack/ui$(ARCH).$(SHLIBEXT): $(MPUIOBJ)
++$(B)/missionpack/ui.$(SHLIBEXT): $(MPUIOBJ)
+ 	$(echo_cmd) "LD $@"
+ 	$(Q)$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(MPUIOBJ)
  
--$(B)/missionpack/ui$(ARCH).$(SHLIBEXT) : $(MPUIOBJ)
-+$(B)/missionpack/ui.$(SHLIBEXT) : $(MPUIOBJ)
- 	$(CC) $(CFLAGS) $(SHLIBLDFLAGS) -o $@ $(MPUIOBJ)
+@@ -2037,33 +2029,33 @@
+ 	-$(MKDIR) -p -m 0755 $(COPYDIR)/missionpack
+ 
+ ifneq ($(BUILD_CLIENT),0)
+-	$(INSTALL) -s -m 0755 $(BR)/openarena.$(ARCH)$(BINEXT) $(COPYDIR)/openarena.$(ARCH)$(BINEXT)
++	$(INSTALL) -s -m 0755 $(BR)/openarena$(BINEXT) $(COPYDIR)/openarena$(BINEXT)
+ endif
+ 
+ # Don't copy the SMP until it's working together with SDL.
+ #ifneq ($(BUILD_CLIENT_SMP),0)
+-#	$(INSTALL) -s -m 0755 $(BR)/openarena-smp.$(ARCH)$(BINEXT) $(COPYDIR)/openarena-smp.$(ARCH)$(BINEXT)
++#	$(INSTALL) -s -m 0755 $(BR)/openarena-smp$(BINEXT) $(COPYDIR)/openarena-smp$(BINEXT)
+ #endif
+ 
+ ifneq ($(BUILD_SERVER),0)
+-	@if [ -f $(BR)/oa_ded.$(ARCH)$(BINEXT) ]; then \
+-		$(INSTALL) -s -m 0755 $(BR)/oa_ded.$(ARCH)$(BINEXT) $(COPYDIR)/oa_ded.$(ARCH)$(BINEXT); \
++	@if [ -f $(BR)/oa_ded$(BINEXT) ]; then \
++		$(INSTALL) -s -m 0755 $(BR)/oa_ded$(BINEXT) $(COPYDIR)/oa_ded$(BINEXT); \
+ 	fi
+ endif
+ 
+ ifneq ($(BUILD_GAME_SO),0)
+-	$(INSTALL) -s -m 0755 $(BR)/baseoa/cgame$(ARCH).$(SHLIBEXT) \
++	$(INSTALL) -s -m 0755 $(BR)/baseoa/cgame.$(SHLIBEXT) \
+ 					$(COPYDIR)/baseoa/.
+-	$(INSTALL) -s -m 0755 $(BR)/baseoa/qagame$(ARCH).$(SHLIBEXT) \
++	$(INSTALL) -s -m 0755 $(BR)/baseoa/qagame.$(SHLIBEXT) \
+ 					$(COPYDIR)/baseoa/.
+-	$(INSTALL) -s -m 0755 $(BR)/baseoa/ui$(ARCH).$(SHLIBEXT) \
++	$(INSTALL) -s -m 0755 $(BR)/baseoa/ui.$(SHLIBEXT) \
+ 					$(COPYDIR)/baseoa/.
+ 	-$(MKDIR) -p -m 0755 $(COPYDIR)/missionpack
+-	$(INSTALL) -s -m 0755 $(BR)/missionpack/cgame$(ARCH).$(SHLIBEXT) \
++	$(INSTALL) -s -m 0755 $(BR)/missionpack/cgame.$(SHLIBEXT) \
+ 					$(COPYDIR)/missionpack/.
+-	$(INSTALL) -s -m 0755 $(BR)/missionpack/qagame$(ARCH).$(SHLIBEXT) \
++	$(INSTALL) -s -m 0755 $(BR)/missionpack/qagame.$(SHLIBEXT) \
+ 					$(COPYDIR)/missionpack/.
+-	$(INSTALL) -s -m 0755 $(BR)/missionpack/ui$(ARCH).$(SHLIBEXT) \
++	$(INSTALL) -s -m 0755 $(BR)/missionpack/ui.$(SHLIBEXT) \
+ 					$(COPYDIR)/missionpack/.
+ endif
  
- $(B)/missionpack/vm/ui.qvm: $(MPUIVMOBJ) $(UIDIR)/ui_syscalls.asm
diff -uNr /usr/ports/games/openarena/files/patch-code-qcommon-files.c openarena/files/patch-code-qcommon-files.c
--- /usr/ports/games/openarena/files/patch-code-qcommon-files.c	1970-01-01 02:00:00.000000000 +0200
+++ openarena/files/patch-code-qcommon-files.c	2010-04-01 07:29:15.000000000 +0200
@@ -0,0 +1,11 @@
+--- code/qcommon/files.c~	2010-04-01 07:26:33.000000000 +0200
++++ code/qcommon/files.c	2010-04-01 07:28:13.000000000 +0200
+@@ -2939,7 +2939,7 @@
+ 	
+ 	if(foundPak & 1)
+ 		Cvar_Set("com_standalone", "0");
+-}*/
++*/}
+ #endif
+ 
+ /*
diff -uNr /usr/ports/games/openarena/files/patch-code-qcommon-q_platform.h openarena/files/patch-code-qcommon-q_platform.h
--- /usr/ports/games/openarena/files/patch-code-qcommon-q_platform.h	1970-01-01 02:00:00.000000000 +0200
+++ openarena/files/patch-code-qcommon-q_platform.h	2010-03-31 11:03:46.000000000 +0200
@@ -0,0 +1,11 @@
+--- code/qcommon/q_platform.h~	2010-03-31 10:58:27.000000000 +0200
++++ code/qcommon/q_platform.h	2010-03-31 10:59:12.000000000 +0200
+@@ -192,6 +192,8 @@
+ 
+ #ifdef __i386__
+ #define ARCH_STRING "i386"
++#elif defined __amd64__
++#define ARCH_STRING "amd64"
+ #elif defined __axp__
+ #define ARCH_STRING "alpha"
+ #endif
diff -uNr /usr/ports/games/openarena/files/patch-code-qcommon-vm_x86.c openarena/files/patch-code-qcommon-vm_x86.c
--- /usr/ports/games/openarena/files/patch-code-qcommon-vm_x86.c	1970-01-01 02:00:00.000000000 +0200
+++ openarena/files/patch-code-qcommon-vm_x86.c	2010-04-01 10:09:18.000000000 +0200
@@ -0,0 +1,11 @@
+--- code/qcommon/vm_x86.c~	2008-08-09 18:28:20.000000000 +0200
++++ code/qcommon/vm_x86.c	2010-04-01 10:07:44.000000000 +0200
+@@ -1079,7 +1079,7 @@
+ 	// copy to an exact size buffer on the hunk
+ 	vm->codeLength = compiledOfs;
+ #ifdef VM_X86_MMAP
+-	vm->codeBase = mmap(NULL, compiledOfs, PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0);
++	vm->codeBase = mmap(NULL, compiledOfs, PROT_WRITE, MAP_SHARED|MAP_ANON, -1, 0);
+ 	if(vm->codeBase == (void*)-1)
+ 		Com_Error(ERR_DROP, "VM_CompileX86: can't mmap memory");
+ #elif _WIN32
diff -uNr /usr/ports/games/openarena/files/patch-code-qcommon-vm_x86_64.c openarena/files/patch-code-qcommon-vm_x86_64.c
--- /usr/ports/games/openarena/files/patch-code-qcommon-vm_x86_64.c	1970-01-01 02:00:00.000000000 +0200
+++ openarena/files/patch-code-qcommon-vm_x86_64.c	2010-04-01 21:36:27.000000000 +0200
@@ -0,0 +1,20 @@
+--- code/qcommon/vm_x86_64.c~	2010-04-01 19:06:00.000000000 +0200
++++ code/qcommon/vm_x86_64.c	2010-04-01 18:59:56.000000000 +0200
+@@ -246,7 +246,7 @@
+ #else
+ #define JMPIARG \
+ 	emit("movq $%lu, %%rax", vm->codeBase+vm->instructionPointers[iarg]); \
+-	emit("jmpq *%rax");
++	emit("jmpq *%%rax");
+ #endif
+  
+ // integer compare and jump
+@@ -534,7 +534,7 @@
+ 	{
+ 		compiledOfs = assembler_get_code_size();
+ 		vm->codeLength = compiledOfs;
+-		vm->codeBase = mmap(NULL, compiledOfs, PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0);
++		vm->codeBase = mmap(NULL, compiledOfs, PROT_WRITE, MAP_SHARED|MAP_ANON, -1, 0);
+ 		if(vm->codeBase == (void*)-1)
+ 			Com_Error(ERR_DROP, "VM_CompileX86: can't mmap memory");
+ 
diff -uNr /usr/ports/games/openarena/files/patch-code__qcommon__common.c openarena/files/patch-code__qcommon__common.c
--- /usr/ports/games/openarena/files/patch-code__qcommon__common.c	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__qcommon__common.c	1970-01-01 02:00:00.000000000 +0200
@@ -1,10 +0,0 @@
---- ./code/qcommon/common.c.orig	Wed Apr 26 08:27:12 2006
-+++ ./code/qcommon/common.c	Sun Jun 11 17:26:26 2006
-@@ -25,6 +25,7 @@
- #include "qcommon.h"
- #include <setjmp.h>
- #ifndef _WIN32
-+#include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h> // umask
- #else
diff -uNr /usr/ports/games/openarena/files/patch-code__qcommon__q_platform.h openarena/files/patch-code__qcommon__q_platform.h
--- /usr/ports/games/openarena/files/patch-code__qcommon__q_platform.h	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__qcommon__q_platform.h	1970-01-01 02:00:00.000000000 +0200
@@ -1,15 +0,0 @@
---- ./code/qcommon/q_platform.h.orig	Tue Dec 27 16:46:01 2005
-+++ ./code/qcommon/q_platform.h	Sun Jun 11 17:26:26 2006
-@@ -176,11 +176,7 @@
- #define ID_INLINE inline
- #define PATH_SEP '/'
- 
--#ifdef __i386__
--#define ARCH_STRING "i386"
--#elif defined __axp__
--#define ARCH_STRING "alpha"
--#endif
-+#define ARCH_STRING ARCH
- 
- #if BYTE_ORDER == BIG_ENDIAN
- #define Q3_BIG_ENDIAN
diff -uNr /usr/ports/games/openarena/files/patch-code__unix__linux_glimp.c openarena/files/patch-code__unix__linux_glimp.c
--- /usr/ports/games/openarena/files/patch-code__unix__linux_glimp.c	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__unix__linux_glimp.c	1970-01-01 02:00:00.000000000 +0200
@@ -1,19 +0,0 @@
---- ./code/unix/linux_glimp.c.orig	Sun Apr 30 11:32:56 2006
-+++ ./code/unix/linux_glimp.c	Sun Jun 11 17:26:26 2006
-@@ -631,8 +631,14 @@
- 
-           dx = ((int)event.xmotion.x - mwx);
-           dy = ((int)event.xmotion.y - mwy);
--					mx += dx;
--					my += dy;
-+          if (abs(dx) > 1)
-+            mx += dx * 2;
-+          else
-+            mx += dx;
-+          if (abs(dy) > 1)
-+            my += dy * 2;
-+          else
-+            my += dy;
- 
-           mwx = event.xmotion.x;
-           mwy = event.xmotion.y;
diff -uNr /usr/ports/games/openarena/files/patch-code__unix__unix_main.c openarena/files/patch-code__unix__unix_main.c
--- /usr/ports/games/openarena/files/patch-code__unix__unix_main.c	2007-09-06 05:50:23.000000000 +0200
+++ openarena/files/patch-code__unix__unix_main.c	1970-01-01 02:00:00.000000000 +0200
@@ -1,31 +0,0 @@
---- ./code/unix/unix_main.c.orig	Sun Feb 26 18:22:12 2006
-+++ ./code/unix/unix_main.c	Sun Jun 11 17:26:26 2006
-@@ -774,6 +774,7 @@
-   char  curpath[MAX_OSPATH];
-   char  fname[MAX_OSPATH];
-   char  *basepath;
-+  char  *libpath;
-   char  *homepath;
-   char  *pwdpath;
-   char  *cdpath;
-@@ -789,14 +790,19 @@
-   // TODO: use fs_searchpaths from files.c
-   pwdpath = Sys_Cwd();
-   basepath = Cvar_VariableString( "fs_basepath" );
-+  libpath = LIBDIR;
-   homepath = Cvar_VariableString( "fs_homepath" );
-   cdpath = Cvar_VariableString( "fs_cdpath" );
-   gamedir = Cvar_VariableString( "fs_game" );
- 
--  libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
-+  if(!libHandle && homepath)
-+    libHandle = try_dlopen(pwdpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && homepath)
-     libHandle = try_dlopen(homepath, gamedir, fname, fqpath);
-+
-+  if(!libHandle && basepath)
-+    libHandle = try_dlopen(libpath, gamedir, fname, fqpath);
- 
-   if(!libHandle && basepath)
-     libHandle = try_dlopen(basepath, gamedir, fname, fqpath);
diff -uNr /usr/ports/games/openarena/files/patch-code_client_snd_openal.c openarena/files/patch-code_client_snd_openal.c
--- /usr/ports/games/openarena/files/patch-code_client_snd_openal.c	2010-01-25 21:15:12.000000000 +0200
+++ openarena/files/patch-code_client_snd_openal.c	1970-01-01 02:00:00.000000000 +0200
@@ -1,11 +0,0 @@
---- code/client/snd_openal.c.orig	2009-12-26 18:20:08.000000000 +0100
-+++ code/client/snd_openal.c	2009-12-26 18:20:27.000000000 +0100
-@@ -1676,7 +1676,7 @@
- #elif defined(MACOS_X)
- #define ALDRIVER_DEFAULT "/System/Library/Frameworks/OpenAL.framework/OpenAL"
- #else
--#define ALDRIVER_DEFAULT "libopenal.so.0"
-+#define ALDRIVER_DEFAULT "libopenal.so"
- #endif
- 
- /*
diff -uNr /usr/ports/games/openarena/pkg-plist openarena/pkg-plist
--- /usr/ports/games/openarena/pkg-plist	2007-09-06 05:50:23.000000000 +0200
+++ openarena/pkg-plist	2010-06-16 18:14:09.000000000 +0200
@@ -1,23 +1,13 @@
-%%DEDICATED%%bin/openarenaded
+%%DEDICATED%%bin/oa_ded
 %%CLIENT%%bin/openarena
 %%SMP%%bin/openarena-smp
 %%DATADIR%%/baseoa/pak0.pk3
 %%DATADIR%%/baseoa/pak1-maps.pk3
 %%DATADIR%%/baseoa/pak2-players-mature.pk3
 %%DATADIR%%/baseoa/pak2-players.pk3
-%%DATADIR%%/baseoa/pak3-music.pk3
 %%DATADIR%%/baseoa/pak4-textures.pk3
 %%DATADIR%%/baseoa/pak5-TA.pk3
 %%DATADIR%%/baseoa/pak6-misc.pk3
-%%DATADIR%%/baseoa/pak7-patch.pk3
-%%GAMELIBS%%%%LIBDIR%%/baseoa/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/baseoa/ui.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/cgame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/qagame.so
-%%GAMELIBS%%%%LIBDIR%%/missionpack/ui.so
+%%DATADIR%%/baseoa/pak6-patch085.pk3
 @dirrm %%DATADIR%%/baseoa
 @dirrm %%DATADIR%%
-%%GAMELIBS%%@dirrm %%LIBDIR%%/missionpack
-%%GAMELIBS%%@dirrm %%LIBDIR%%/baseoa
-%%GAMELIBS%%@dirrm %%LIBDIR%%